
Redmine - Defect #5310

Web Repository management crashes

2010-04-14 09:12 - Radek Antoniuk

Status: Closed Start date: 2010-04-14

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version: 0.9.3

Description

I have two location running redmine. In one WSmgmt is working perfectly, in the other one I get:

Processing SysController#projects to xml (for 1.2.3.4 at 2010-04-14 09:13:18) [GET]

Parameters: {"key"=>"uRdR25znNtmlbvykK0"}

ArgumentError (wrong number of arguments (1 for 0)):

/usr/lib/ruby/1.8/builder/xmlbase.rb:134:in `to_xs'

/usr/lib/ruby/1.8/builder/xmlbase.rb:134:in `_escape'

/usr/lib/ruby/1.8/builder/xmlbase.rb:139:in `_escape_quote'

/usr/lib/ruby/1.8/builder/xmlmarkup.rb:319:in `_attr_value'

/usr/lib/ruby/1.8/builder/xmlmarkup.rb:307:in `_insert_attributes'

/usr/lib/ruby/1.8/builder/xmlmarkup.rb:305:in `each'

/usr/lib/ruby/1.8/builder/xmlmarkup.rb:305:in `_insert_attributes'

/usr/lib/ruby/1.8/builder/xmlmarkup.rb:283:in `_special'

/usr/lib/ruby/1.8/builder/xmlmarkup.rb:249:in `instruct!'

/vendor/rails/activesupport/lib/active_support/core_ext/array/conversions.rb:165:in `to_xml'

/app/controllers/sys_controller.rb:23:in `projects'

/vendor/rails/actionpack/lib/action_controller/base.rb:1256:in `send'

/vendor/rails/actionpack/lib/action_controller/base.rb:1256:in `perform_action_without_filters'

/vendor/rails/actionpack/lib/action_controller/filters.rb:617:in `call_filters'

/vendor/rails/actionpack/lib/action_controller/filters.rb:610:in `perform_action_without_benchmark'

/vendor/rails/actionpack/lib/action_controller/benchmarking.rb:68:in `perform_action_without_rescue'

/usr/lib/ruby/1.8/benchmark.rb:293:in `measure'

/vendor/rails/actionpack/lib/action_controller/benchmarking.rb:68:in `perform_action_without_rescue'

/vendor/rails/actionpack/lib/action_controller/rescue.rb:136:in `perform_action'

/vendor/rails/actionpack/lib/action_controller/base.rb:524:in `send'

/vendor/rails/actionpack/lib/action_controller/base.rb:524:in `process_without_filters'

/vendor/rails/actionpack/lib/action_controller/filters.rb:606:in `process_without_session_management_support'

/vendor/rails/actionpack/lib/action_controller/session_management.rb:134:in `process_without_test'

/vendor/rails/actionpack/lib/action_controller/test_process.rb:18:in `process'

/vendor/rails/actionpack/lib/action_controller/base.rb:392:in `process'

/vendor/rails/actionpack/lib/action_controller/dispatcher.rb:184:in `handle_request'

/vendor/rails/actionpack/lib/action_controller/dispatcher.rb:112:in `dispatch_unlocked'

/vendor/rails/actionpack/lib/action_controller/dispatcher.rb:125:in `dispatch'

/vendor/rails/actionpack/lib/action_controller/dispatcher.rb:124:in `synchronize'

/vendor/rails/actionpack/lib/action_controller/dispatcher.rb:124:in `dispatch'

/vendor/rails/actionpack/lib/action_controller/dispatcher.rb:134:in `dispatch_cgi'

/vendor/rails/actionpack/lib/action_controller/dispatcher.rb:41:in `dispatch'

/vendor/rails/railties/lib/fcgi_handler.rb:101:in `process_request'

/vendor/rails/railties/lib/fcgi_handler.rb:151:in `with_signal_handler'

/vendor/rails/railties/lib/fcgi_handler.rb:99:in `process_request'

/vendor/rails/railties/lib/fcgi_handler.rb:76:in `process_each_request'

/usr/lib/ruby/1.8/fcgi.rb:612:in `each_cgi'

/usr/lib/ruby/1.8/fcgi.rb:609:in `each'

/usr/lib/ruby/1.8/fcgi.rb:609:in `each_cgi'

/vendor/rails/railties/lib/fcgi_handler.rb:75:in `process_each_request'

/vendor/rails/railties/lib/fcgi_handler.rb:74:in `catch'

/vendor/rails/railties/lib/fcgi_handler.rb:74:in `process_each_request'

/vendor/rails/railties/lib/fcgi_handler.rb:49:in `process!'

/vendor/rails/railties/lib/fcgi_handler.rb:23:in `process!'

/public/dispatch.fcgi:24
Rendering /usr/share/redmine/public/500.html (500 Internal Server Error)

History

#1 - 2010-04-18 12:05 - Jean-Philippe Lang

Please read SubmittingBugs and give a way to reproduce.

#2 - 2010-04-21 03:07 - Radek Antoniuk

I can't give you a way to reproduce.

As I said before, my other instance of Redmine is running fine with the same configuration.

So, if I knew what I is causing the problem, I would post a patch for you instead of the problem, right? ;-)

Versions of packages:

ii  libdbd-mysql-perl               4.013-1         

ii  libdbd-mysql-ruby               0.4.4-1         

ii  libdbd-mysql-ruby1.8            0.4.4-1         

ii  libmysql-ruby1.8                2.8.2-1         

ii  libmysqlclient-dev              5.1.45-1        

ii  libmysqlclient15off             5.0.51a-24+lenny

ii  libmysqlclient16                5.1.45-1        

ii  mysql-client-5.1                5.1.45-1        

ii  mysql-common                    5.1.45-1        

ii  mysql-server-5.1                5.1.45-1        

ii  php5-mysql                      5.3.2-1         

ii  redmine-mysql                   0.9.3-3         

ii  rake                            0.8.7-1

ii  rdoc                            4.4        

ii  ruby                            4.4        

ii  ruby1.8                         1.8.7.249-2

ii  ruby1.8-dev                     1.8.7.249-2

ii  rubygems                        1.3.5-2    

ii  rubygems1.8                     1.3.5-2    

ii  librack-ruby                    1.1.0-3

ii  librack-ruby1.8                 1.1.0-3

ii  libapache-ruby1.8               1.2.6-2

ii  libapache2-mod-ruby             1.2.6-2

ii  rails                           2.2.3-2

ii  redmine                         0.9.3-3 

ii  redmine-mysql                   0.9.3-3 

ii  redmine-sqlite                  0.9.3-3 

ii  mysql-server-5.1                5.1.45-1

 That maybe connected?

If you need any more info, let me know.

Btw, the about script is not working with Debian packaged installations:

dev:~# cd /usr/share/redmine/

dev:/usr/share/redmine# ruby script/about

/usr/share/redmine/vendor/rails/activerecord/lib/active_record/connection_adapters/abstract/connection_specifi

cation.rb:60:in `establish_connection': development database is not configured (ActiveRecord::AdapterNotSpecif

ied)

        from /usr/share/redmine/vendor/rails/activerecord/lib/active_record/connection_adapters/abstract/conne

ction_specification.rb:53:in `establish_connection'

        from ./script/../config/../vendor/rails/railties/lib/initializer.rb:392:in `initialize_database'

        from ./script/../config/../vendor/rails/railties/lib/initializer.rb:139:in `process'

        from ./script/../config/../vendor/rails/railties/lib/initializer.rb:112:in `send'

        from ./script/../config/../vendor/rails/railties/lib/initializer.rb:112:in `run'

        from /usr/share/redmine/config/environment.rb:43

        from /usr/lib/ruby/1.8/rubygems/custom_require.rb:31:in `gem_original_require'

        from /usr/lib/ruby/1.8/rubygems/custom_require.rb:31:in `require'

        from /usr/share/redmine/vendor/rails/railties/lib/commands/about.rb:1

        from /usr/lib/ruby/1.8/rubygems/custom_require.rb:31:in `gem_original_require'

        from /usr/lib/ruby/1.8/rubygems/custom_require.rb:31:in `require'

        from script/about:4

 By the way, the about script is not working with Debian packaged installations...:

dev:/usr/share/redmine# ruby script/about

/usr/share/redmine/vendor/rails/activerecord/lib/active_record/connection_adapters/abstract/connection_specifi
cation.rb:60:in `establish_connection': development database is not configured (ActiveRecord::AdapterNotSpecif

ied)

        from /usr/share/redmine/vendor/rails/activerecord/lib/active_record/connection_adapters/abstract/conne

ction_specification.rb:53:in `establish_connection'

        from ./script/../config/../vendor/rails/railties/lib/initializer.rb:392:in `initialize_database'

        from ./script/../config/../vendor/rails/railties/lib/initializer.rb:139:in `process'

        from ./script/../config/../vendor/rails/railties/lib/initializer.rb:112:in `send'

        from ./script/../config/../vendor/rails/railties/lib/initializer.rb:112:in `run'

        from /usr/share/redmine/config/environment.rb:43

        from /usr/lib/ruby/1.8/rubygems/custom_require.rb:31:in `gem_original_require'

        from /usr/lib/ruby/1.8/rubygems/custom_require.rb:31:in `require'

        from /usr/share/redmine/vendor/rails/railties/lib/commands/about.rb:1

        from /usr/lib/ruby/1.8/rubygems/custom_require.rb:31:in `gem_original_require'

        from /usr/lib/ruby/1.8/rubygems/custom_require.rb:31:in `require'

        from script/about:4

#3 - 2010-04-26 01:10 - Radek Antoniuk

Is there any way to turn debugging on to diagnose this thing easier?

I am going to set up a third instance of redmine and try out the "non-working" database dump to reproduce the error, deleting projects one by one, but

anyway..

#4 - 2010-10-31 19:17 - Radek Antoniuk

I can confirm this bug still with 1.0.1.

But now I can tell you how to reproduce that bug - It's probably because of not-valid characters in project's data.

The app is crashing on line:

render :xml => p.to_xml(:include => :repository)

from the SysController.

If I will be able to track down the initial cause (the wrong data) I will update the post.

#5 - 2010-11-04 02:55 - Radek Antoniuk

Ok. I have found the problem, so here is the solution.

After hours spent on comparing two installations, I finally found out, that on the one that it stopped working, I missed "bundler" gem.

Though, Redmine or logs didn't complain about bundler being required and it has used some bundler as in stacktrace.

However, just after installing bunder 2.1.2 and restarting apache all magically started working.

I don't know if that's a bug or not but hopefully this will save somebody a lot of time.

#6 - 2011-02-04 00:44 - Radek Antoniuk

- Status changed from New to Resolved

#7 - 2011-02-05 14:00 - Toshi MARUYAMA

- Status changed from Resolved to Closed

- Priority changed from High to Normal
